import math

print("Спешите видеть: введённое в строке ниже число будет перевёрнуто!")
print(int(input("Введите число: ")[::-1]))

print("Спешите видеть: приведенный ниже калькулятор "
      "\nпозволит вам решить квадратное уравнение вида y=ax^2+bx+c!")
a = float(input("a= "))
b = float(input("b= "))
c = float(input("c= "))
d = b**2 - 4 * a * c
if d < 0:
    print("Уравнение не имеет действительных корней.")
    print(f'Комплексные корни: \n x1= {(-b + (d**.5))/(2*a)}'
          f'\n x2= {(-b - (d**.5))/(2*a)}')
elif d == 0:
    print("Уравнение имеет один корень (или два равных корня).")
    print(f' x= {-b/(2*a)}')
elif d > 0:
    print("Уравнение имеет два корня.")
    print(f' x1= {(-b + math.sqrt(d))/(2*a)} \n x2= {(-b - math.sqrt(d))/(2*a)}')
